package com.mortals.xhx.module.demo.web;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.common.code.YesNo;
import com.mortals.xhx.module.demo.model.DemoEntity;
import com.mortals.xhx.module.demo.service.DemoService;
import java.util.Map;

/**
* DemoController
*
* 测试 控制器
*
* @author zxfei
* @date 2021-10-03
*/
@RestController
@RequestMapping("demo")
public class DemoController extends BaseCRUDJsonMappingController<DemoService,DemoForm,DemoEntity,String> {

    public DemoController(){
        super.setFormClass(DemoForm.class);
        super.setModuleDesc( "测试");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DemoForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "status", IBaseEnum.getEnumMap(YesNo.class));
        super.init(request, response, form, model, context);
    }


}