<template>
    <div class="page">
        <LayoutTable :data='tableData' :config='tableConfig' />
    </div>
</template>

<script>
    import table from "@/assets/mixins/table";

    export default {
        components: {
        },
        mixins: [table],
        created() {
        },
        methods: {
        },
        data() {
            return {
                config: {
                    search: [
                        <#list columns as column>
                        <#if column.isQuery == 1 &&column.htmlType==1>
                        {
                            name: "${column.javaField}",
                            type: "text",
                            label: "${column.columnComment}",
                            fuzzy: true
                        },
                        <#elseif column.isQuery == 1 &&column.htmlType==3>
                        {
                            name: "${column.javaField}",
                            type: "select",
                            label: "${column.columnComment}",
                            fuzzy: true
                        },
                        <#elseif column.isQuery == 1 &&column.htmlType==4>
                        {
                            name: "${column.javaField}",
                            type: "checkbox",
                            label: "${column.columnComment}",
                            fuzzy: true
                        },
                        <#elseif column.isQuery == 1 &&column.htmlType==6>
                        {
                            name: "${column.javaField}",
                            type: "date",
                            label: "${column.columnComment}",
                            fuzzy: true
                        },
                        </#if>
                        </#list>
                    ],
                    columns: [
                        {type: "selection", width: 60},
                        <#list columns as column>
                        <#if column.javaType == "Long">
                        {label: "${column.columnComment}", prop: "${column.javaField}", formatter: this.formatterString},
                        </#if>
                        <#if column.javaType == "String"||column.javaType == "Integer">
                        {label: "${column.columnComment}", prop: "${column.javaField}"},
                        </#if>
                        <#if column.javaType == "Date">
                        {label: "${column.columnComment}", prop: "${column.javaField}", formatter: this.formatterDate},
                        </#if>
                        <#if column.javaType == "BigDecimal">
                        {label: "${column.columnComment}", prop: "${column.javaField}", formatter: this.formatterMoney},
                        </#if>
                        </#list>
                        <#if table.tplCategory=="sub">
                        {label: "${column.columnComment}", prop: "subColumns"},
                        </#if>
                        {
                            label: "操作",
                            width: 180,
                            formatter: row => {
                                return (
                                    <div><el-button type="primary" icon="el-icon-edit" round size='mini' onClick={()=>{this.toEdit(row)}}>编辑</el-button></div>
                            );
                            }
                        }
                    ]
                }
            };
        }
    };
</script>